### Índice

* [C](#c)
* [C#](#c-sharp)
* [C++](#c-1)
* [Engenharia de software](#engenharia-de-software)
  * [Metodologias de Desenvolvimento de Software](#metodologias-de-desenvolvimento-de-software)
  * [Outros](#outros)
* [Git](#git)
* [Haskell](#haskell)
* [HTML / CSS](#html--css)
* [Java](#java)
* [JavaScript](#javascript)
  * [Angular](#angular)
  * [Angular.js](#angularjs)
  * [Backbone.js](#backbonejs)
  * [Ember.js](emberjs)
  * [Express.js](#expressjs)
  * [Grunt](#grunt)
  * [Gulp](#gulp)
  * [jQuery](#jquery)
  * [Knockout.js](#knockoutjs)
  * [Meteor](#meteor)
  * [Node.js](#nodejs)
  * [React](#react)
  * [Vue.js](#vuejs)
* [LaTeX](#latex)
* [LISP](#lisp)
* [Lua](#lua)
* [PHP](#php)
* [Python](#python)
  * [Django](#django)
* [RegEx](#regex)
* [Ruby](#ruby)
* [Shell Script](#shell)
* [Vim](#vim)


### C

* [Apostila Linguagem C](http://www.ime.usp.br/~slago/slago-C.pdf) - Silvio Lago (PDF)
* [Curso de Programação em C - UFMG](http://www2.dcc.ufmg.br/disciplinas/pc/source/introducao_c_renatocm_deeufmg.pdf) - Renato Cardoso Mesquita (PDF)
* [Introdução a Programação](https://github.com/ufpb-computacao/introducao-a-programacao-livro/releases) - livro adotado na UFPB.
* [Introdução em Computação - C](http://www.ime.usp.br/~elo/IntroducaoComputacao/).
* [O Fantástico Mundo da Linguagem C](https://fiorix.files.wordpress.com/2014/04/o-fantc3a1stico-mundo-da-linguagem-c.pdf) (PDF)
* [Projeto de Algoritmos em C](http://www.ime.usp.br/~pf/algoritmos/)


### C Sharp

* [C# e Orientação a Objetos](https://www.caelum.com.br/apostila-csharp-orientacao-objetos/) - Caelum


### C++

* [Apostila Linguagem C++](http://www.ime.usp.br/~slago/slago-C++.pdf) - Silvio Lago (PDF)
* [Estrutura de Dados](http://calhau.dca.fee.unicamp.br/wiki/images/0/01/EstruturasDados.pdf) (PDF)
* [Programação Orientada a Objetos em C++](http://webserver2.tecgraf.puc-rio.br/~manuel/Download/Programacao%20Orientada%20a%20Objetos%20em%20C++.pdf) (PDF)


### Engenharia de Software

#### Metodologias de Desenvolvimento de Software

* [Kanban e Scrum - obtendo o melhor de ambos](http://www.infoq.com/br/minibooks/kanban-scrum-minibook) *(account required)*
* [Kanban em 10 Passos](http://www.infoq.com/br/minibooks/priming-kanban-jesper-boeg) *(account required)*
* [Scrum e XP direto das Trincheiras](http://www.infoq.com/br/minibooks/scrum-xp-from-the-trenches) *(account required)*


#### Outros

* [CI - Integração Contínua Sem Desculpa](https://ci.mrprompt.com.br)
* [Primeiros passos com Padrões de Projeto](https://leanpub.com/primeiros-passos-com-padroes-de-projeto/)


### Git

* [Git - guia prático](http://rogerdudler.github.io/git-guide/index.pt_BR.html)
* [Git Magic](http://www-cs-students.stanford.edu/~blynn/gitmagic/intl/pt_br/)
* [Minicurso - Controle de Versão usando o Git](https://github.com/ltiaunesp/Git-Minicurso) - LTIA UNESP
* [Pro Git](http://git-scm.com/book/pt-br/)


### Haskell

* [Aprender o Haskell será um grande bem para você (tradução em andamento)](https://github.com/taylorrf/learnhaskell)


### HTML / CSS

* [Desenvolvendo para browsers antigos](http://tableless.com.br/browsers-antigos-guerra-contra-o-terror/)
* [Desenvolvimento Web com HTML, CSS e JavaScript](https://www.caelum.com.br/apostila-html-css-javascript/) - Caelum
* [Dive Into HTML5](http://diveintohtml5.com.br)
* [Estruturando o HTML com CSS](http://pt-br.learnlayout.com)


### Java

* [Algoritmos e Estruturas de Dados com Java](http://www.caelum.com.br/apostila-java-estrutura-dados/) - Caelum
* [Desenvolvimento Distribuído com JavaEE](https://www.gitbook.com/book/rafaelsakurai/desenvolvimento-distribuido) - Rafael Guimarães Sakurai
* [Introdução a Ciência da Computação com Java](http://ccsl.ime.usp.br/files/books/intro-java-cc.pdf) (PDF)
* [Java e Orientação a Objetos](http://www.caelum.com.br/apostila-java-orientacao-objetos/) - Caelum
* [Java para Desenvolvimento Web](http://www.caelum.com.br/apostila-java-web/) - Caelum
* [Lab. Java com Testes, JSF e Design Patterns](https://www.caelum.com.br/apostila-java-testes-jsf-web-services-design-patterns/) - Caelum
* [Web ágil com VRaptor, Hibernate e AJAX](http://www.caelum.com.br/apostila-vraptor-hibernate/) - Caelum


### JavaScript

* [Eloquente Javascript](https://github.com/braziljs/eloquente-javascript)
* [EXPERT JS Stack](http://stack.desenvolvedor.expert)
* [Guia JavaScript](https://developer.mozilla.org/pt-BR/docs/Web/JavaScript/Guide)
* [Guia Rápido de Desenvolvimento para Firefox OS](https://leanpub.com/guiarapidofirefoxos)
* [JS: A forma certa](http://jstherightway.org/pt-br/)


#### Angular

* [Implemente um aplicativo de página única com o Angular 2](https://www.ibm.com/developerworks/br/library/implemente-aplicativo-pagina-unica-angular-2/index.html)


#### Angular.js

* [Criando uma aplicação simples com AngularJS](http://tableless.com.br/criando-uma-aplicacao-simples-com-angularjs/)
* [Criando uma aplicação Single Page com AngularJS](http://tableless.com.br/criando-uma-aplicacao-single-page-com-angularjs/)
* [Entendendo as diretivas e fazendo abas com AngularJS](http://tableless.com.br/diretivas-angularjs-abas/)


#### Backbone.js

* [Série Backbone.js (blog.fernandomantoan.com)](http://blog.fernandomantoan.com/serie-backbone-js-parte-1-introducao/)
* [Série Backbone.js (devfuria.com.br)](http://www.devfuria.com.br/javascript/backbone/)


#### Ember.js

* [Conceitos basicos do Ember.js ](http://fabriciotav.org/blog/2013/02/20/conceitos-basicos-do-emberjs.html)
* [Handlebars Helpers com Ember.js](http://fabriciotav.org/blog/2013/02/20/handlebars-helpers-com-emberjs.html)


#### Express.js

* [Primeiros passos com Express em Node.js](http://nodebr.com/primeiros-passos-com-express-em-node-js/)


#### Grunt

* [Grunt - Por onde começar](http://www.voltsdigital.com.br/labs/gruntjs-por-onde-comecar/)
* [Grunt - Voce deveria estar usando](http://tableless.com.br/grunt-voce-deveria-estar-usando/)
* [Grunt | Automatizando tarefas](http://woliveiras.com.br/posts/grunt-automatizando-tarefas/)


#### Gulp

* [Gulp - O novo automatizador](http://tableless.com.br/gulp-o-novo-automatizador/)


#### jQuery

* [Artigos sobre jQuery](https://tableless.com.br/categories/jquery/)


#### Knockout.js

* [Documentação](https://github.com/alexhiroshi/knockoutjs-brasil)


#### Meteor

* [Tudo sobre Meteor](http://udgwebdev.com/meteor/)


#### Node.js

* [Node.js para Leigos](http://udgwebdev.com/nodejs/)
* [Primeiros passos com Node.js](http://tableless.com.br/o-que-nodejs-primeiros-passos-com-node-js/)
* [Raspagem de dados com Node.js](http://tableless.com.br/raspagem-de-dados-com-node-js/)


#### React

* [React: JavaScript reativo](http://tableless.com.br/react-javascript-reativo/)


#### Vue.js

* [Adicionar Bootstrap e Font-awesome no projeto criado com o Vue Cli](http://www.vedovelli.com.br/frontend/adicionar-bootstrap-e-font-awesome-no-projeto-criado-com-o-vue-cli/)
* [Documentação pt-BR](https://br.vuejs.org/v2/guide/)
* [Vue.js Brasil - Artigos em Português sobre Vue.js](http://www.vuejs-brasil.com.br)
* [VueJS: Filtro para criar URL’s amigáveis](http://web.archive.org/web/20160331162636/http://carlosgartner.com.br/vuejs-filtro-para-criar-urls-amigaveis/)


### LaTeX

* [Breve Introdução ao LaTeX2e](http://www.if.ufrj.br/~sandra/MetComp/doc/latex.pdf) - Lenimar Nunes de Andrade (PDF)
* [Introdução ao LaTeX 2 - Ou LaTeX 2 em 105 minutos](http://ctan.org/pkg/lshort-portuguese-br)


### LISP

* [Introdução a linguagem LISP](http://www.dca.fee.unicamp.br/courses/EA072/lisp9596/Lisp9596.html) (HTML)


### Lua

* [Manual de Referência de Lua 5.2](http://www.lua.org/manual/5.2/pt/)


### PHP

* [A semana PHP](http://asemanaphp.com.br)
* [Api REST Com Silex no GAE](http://bit.ly/ebook-silex) - Nanderson Castro (PDF, EPUB, MOBI)
* [CakePHP](http://book.cakephp.org/2.0/pt/index.html)
* [Curso Linguagem PHP 2000](http://www.etelg.com.br/paginaete/downloads/informatica/php.pdf) (PDF)
* [PHP Do jeito certo](http://br.phptherightway.com)
* [PHPUnit](https://phpunit.de/manual/current/pt_br/index.html) (PDF, EPUB, MOBI)


### Python

* [Aprenda computação com Python](https://aprendendo-computacao-com-python.readthedocs.org/en/latest/index.html)
* [Aprenda Python Básico - Rápido e Fácil de entender](http://felipegalvao.com.br/livros) (PDF / Epub)
* [Curso de Python e Django](https://osantana.me/curso-de-python-e-django)
* [Django 101 - Introdução ao Django](http://turing.com.br/material/acpython/mod3/django/index.html)
* [Introdução a Visão Computacional com Python e OpenCV](http://professor.luzerna.ifc.edu.br/ricardo-antonello/wp-content/uploads/sites/8/2017/02/Livro-Introdu%C3%A7%C3%A3o-a-Vis%C3%A3o-Computacional-com-Python-e-OpenCV-3.pdf) (PDF)
* [O tutorial de Python](http://turing.com.br/pydoc/2.7/tutorial/)
* [Python Orientado a Objetos](https://docs.google.com/viewer?a=v&pid=sites&srcid=ZGVmYXVsdGRvbWFpbnxyYWZhZWx1ZnR8Z3g6NTJlM2UzYzY1ZTgzMDEwMw) (PDF)
* [Python para Desenvolvedores](https://ark4n.files.wordpress.com/2010/01/python_para_desenvolvedores_2ed.pdf) (PDF)
* [Tutorial Django Girls](http://tutorial.djangogirls.org/pt/)


#### Django

* [Tutorial Django Girls](https://tutorial.djangogirls.org/pt/) (1.11) (HTML) (:construction: *in process*)


### RegEx

* [Expressões Regulares - Guia de Consulta Rápida](http://aurelio.net/regex/guia/)


### Ruby

* [Aprenda a Programar](http://www.jmonteiro.com/aprendaaprogramar/)
* [Conhecendo Ruby](http://howtocode.com.br/ebooks/ruby)
* [Conhecendo Ruby - Eustaquio Rangel](https://leanpub.com/conhecendo-ruby/read)
* [O (comovente) guia de Ruby do Why](http://why.carlosbrando.com)
* [Ruby on Rails - Desenv. Ágil para Web com Ruby on Rails](http://www.caelum.com.br/apostila-ruby-on-rails/) - Caelum


### Shell

* [Introdução ao Shell Script](http://aurelio.net/shell/apostila-introducao-shell.pdf) - Aurelio Marinho Jargas (PDF)
* [Pequena introdução ao linux e ao Shell Script ](https://www.telecom.uff.br/pet/petws/downloads/apostilas/LINUX.pdf) (PDF)
* [Shell Script do Zero](http://metamorphoselinux.net/Shell_Script_do_Zero.pdf) (PDF)


### Vim

* [Editor VI - Guia de Referência](http://aurelio.net/curso/material/vim-ref.html) - Aurelio Marinho Jargas
* [O Editor de Texto Vim](https://code.google.com/p/vimbook) - Sérgio Luiz Araújo Silva et al.
* [Vim Avançado](http://aurelio.net/vim/vim-avancado.txt) - Aurelio Marinho Jargas
* [Vim Básico](http://aurelio.net/vim/vim-basico.txt) - Aurelio Marinho Jargas
* [Vim Médio](http://aurelio.net/vim/vim-medio.txt) - Aurelio Marinho Jargas
* [Vim para Noobs](http://woliveiras.com.br/vimparanoobs/) - William Oliveira Souza
